package com.unis.accountability.businessmanagement.common.vo;

import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;
import java.util.Map;

/**
 * @Auther:张新亮
 * @Date: 2019/9/19 0019 16:01
 * @Description:
 */
public class BizRespCheckExcelVO {


    /**
     * 排除已分配的州市
     *
     * @param unitList
     * @return
     */
    public static List<Map> getShiAreaCode(
            List<Map> unitList,
            List<String> zhoushiList
    ) {

        List<String> zshiList = new ArrayList();
        for (String areaCOde : zhoushiList) {
            List<String> list = Arrays.asList(areaCOde.split(","));
            zshiList.addAll(list);
        }

        List<String> areaList = new ArrayList();
        for (Map map : unitList) {
            String areaCode = map.get("areaCode").toString();
            areaList.add(areaCode);
        }

        areaList.removeAll(zshiList);
        List<Map> result = new ArrayList();

        for (String area : areaList) {
            for (Map map : unitList) {
                String areaCode = map.get("areaCode").toString();
                if (area.equals(areaCode)) {
                    result.add(map);
                    break;
                }
            }
        }
        return result;
    }



    /**
     * @param unitList 所有市集合
     * @param cityList
     * @return
     */
    public static List<Map> getMergeCity(
            List<Map> unitList,
            List<String> cityList
    ) {
        List<Map> result = new ArrayList();
        for (String area : cityList) {
            for (Map map : unitList) {
                String areaCode = map.get("areaCode").toString();
                if (area.equals(areaCode)) {
                    result.add(map);
                    break;
                }
            }
        }
        return result;
    }





}