package com.unis.accountability.businessmanagement.common.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

/**
 * @Auther:张新亮
 * @Date: 2019/9/17 0017 16:07
 * @Description:
 */
@Getter
@Setter
@ApiModel
public class CityPublishVO extends UpdateVO {

    @ApiModelProperty(value = "id")
    private String id;
    /**
     * 年分
     */
    @ApiModelProperty(value = "年分")
    private String year;
    /**
     * 行政区划
     */
    @ApiModelProperty(value = "行政区划")
    private String deptId;
    /**
     *   类型:10 市配合部门  20 市牵头部门 30市自评部门  40 区配合部门 50 区牵头部门 60 市平时牵头部门 70 市平时配合部门
     */
    @ApiModelProperty(value = " 类型:10 市配合部门  20 市牵头部门 30市自评部门  40 区配合部门 50 区牵头部门 60 市平时牵头部门 70 市平时配合部门")
    private String type;
    /**
     * 状态：10 未录入 20 已录入  30 提交   40 复评 50已审核
     */
    @ApiModelProperty(value = "状态：10 未录入 20 已录入  30 提交   40 复评 50已审核")
    private String status;

}