package com.unis.accountability.businessmanagement.common.vo.cityQtbm;

import com.unis.accountability.businessmanagement.common.vo.cityPhbm.PhbmVO;
import com.unis.accountability.businessmanagement.common.vo.cityTaskDistribution.CityTaskVO;
import com.unis.accountability.businessmanagement.common.vo.cityZpbm.ZpbmVO;
import com.unis.accountability.businessmanagement.common.vo.examinationTask.TaskInfoVO;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

import java.util.List;

/**
 * @Auther:张新亮
 * @Date: 2019/9/21 0021 10:54
 * @Description:
 */
@Getter
@Setter
@ToString
public class CityTaskinfoVO {


    /**
     * 区配合部门
     */
    private String phbm;

    /**
     * 区牵头部门
     */
    private String qtbm;
    /**
     * 市配合部门
     */
    private String cityPhbm;
    /**
     * 市牵头部门
     */
    private String cityQtbm;

    /**
     * 区行政区划
     */
    private String areaCode;

    /**
     * 市政区划
     */
    private String cityAreaCode;

    /**
     * 区牵头配部和配合部门集合
     */
    private  List<QtbmOpionVO>  opionVOList;

    private TaskInfoVO taskInfoVO;

    /**
     * 市牵头配部和配合部门集合
     */
    private  List<QtbmOpionVO>  cityVOList;
    /**
     * 市抽查牵头配部和配合部门集合
     */
    private  List<QtbmOpionVO>  ccCityVOList;
}