package com.unis.accountability.businessmanagement.common.vo.cityQtbm;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

/**
 * @Auther:张新亮
 * @Date: 2019/9/20 0020 14:28
 * @Description:
 */
@Getter
@Setter
@ToString
public class QtbmOpionVO {


    private String id;

    /**
     * 部门ID
     */
    private String deptId;

    /**
     * 部门名称
     */
    private String deptName;

    /**
     * 分值
     */
    private Double score;

    /**
     * 评分原因
     */
    private String scoreReason;


    /**
     * 扣分原因
     */
    private String kfyy;

    /**
     * 整改措施
     */
    private String zgcs;

    /**
     * 类型:10 市配合部门 20 市牵头部门  40 区配合部门 50 区牵头部门 60 抽查市牵头部门  70 抽查市配合部门
     */
    private String type;


    /**
     * 填报人
     */
    private String bmtbr;

    /**
     * 审核人
     */
    private String bmshr;

    /**
     * 状态：10 未录入 20 已录入  30 提交  40 复评
     */
    private String status;

    /**
     * 考核目标任务
     */
    private String bizResexaminationTaskId;
    /**
     * 评分结果录入(州市)
     */
    private String bizRespScoreInputId;

    /**
     * 文件ID
     */
    private String fileId;
    /**
     * 文件ID
     */
    private String fileName;

    /**
     * 区行政区划
     */
    private String areaCode;

}