package com.unis.accountability.businessmanagement.common.vo.cityTaskDistribution;

import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

/**
 * @Auther:张新亮
 * @Date: 2019/9/18 0018 20:23
 * @Description:
 */
@Getter
@Setter
@ToString
public class CityTaskPage {
    /**
     * 年度考核目标任务
     */
    private String taskName;

    /**
     * 年分
     */
    private String year;

    /**
     * 状态
     */
    private String status;

    /**
     * 结果汇总状态 0 -未发布 1-已发布
     */
    private Integer resultStatus;

    /**
     * 行政区划
     */
    private String areaCode;

    /**
     * 行政区划类型
     */
    private String areaCodeType;

    /**
     * 类型 类型:10 市配合部门 20 市牵头部门  40 区配合部门 50 区牵头部门 60 抽查市牵头部门  70 抽查市配合部门
     */
    private String type;


    /**
     * 区配合部门
     */
    private String phbm;


    /**
     * 区牵头部门
     */
    private String qtbm;
}