package com.unis.accountability.businessmanagement.common.vo.cityTaskDistribution;

import com.unis.accountability.businessmanagement.common.vo.UpdateVO;
import com.unis.accountability.businessmanagement.common.vo.backlog.ReceiverCollectionVO;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.util.List;
import java.util.Map;

/**
 * @Auther:张新亮
 * @Date: 2019/9/17 0017 16:07
 * @Description:
 */
@Getter
@Setter
public class CityTaskPublishVO extends UpdateVO {
    private String id;

    /**
     * 年分
     */
    private String year;
    /**
     * 行政区划
     */
    private String areaCode;

    /**
     * 状态   0:未分配 ，1已分配  2,发布 3 上报省级
     */
    private String status;



    private String itemQuery;
    private String itemName;
    private String url;
    private String userName;
    private String itemQueryHaveDone;
    private String itemUrlHaveDone;
    private String userId;
    private String orgName;
    private Map<String,List<ReceiverCollectionVO>> userList;
}