package com.unis.accountability.businessmanagement.common.vo.examinationTask;

import com.unis.accountability.businessmanagement.common.vo.BaseVO;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;


/** 考核目标任务
 * @Auther:张新亮
 * @Date: 2018/10/25 0025 10:10
 * @Description:
 */
@Getter
@Setter
@ToString
public class BizRespExaminationTaskVO extends BaseVO {

    private String ids;

    /**
     * 任务名称
     */
    private String taskName;




    private String zpbmName;

    /**
     * 牵头部门
     */
    private String leadDepartment;

    private String qtbmName;

    /**
     * 配合部门(多个，逗号分隔）
     */
    private String coordinationDepartment;
    private String phbmName;

    /**
     * 评分标准
     */
    private String scoreStandard;

    /**
     * 分值（总分）
     */
    private Double totalScore;

    /**
     *   //状态   0-未发布  ；10- 已发布或未完成   20完成
     */
    private Integer status;



    /**
     * 自评分
     */
    private Double selfEvaluationScore;

    /**
     * 自评分说明
     */
    private String selfEvaluationScoreScoreEx;

    /**
     * 自评附件文件ID
     */
    private String fileId;

    /**
     * 自评附件名称
     */
    private String fileName;

    /**
     * 考核指标ID
     */
    private String bizRespExaminationQuotaId;

    /**
     * 责任考核ID
     */
    private String bizRespResponsibilityId;


    /**
     * 自评填报人
     */
    private String selfFillInPerson;

    /**
     * 自评审核人
     */
    private String selfToExaminePerson;


//======================默认必传====================


    /**默认必传  必传当年的年份
     * 年份
     */
    private String year;


    /** 默认必传
     * 1 管理平台用    deptIds   2 userId : 配合部门，牵头部门 3 userId :自评部门  4:根据行政区划查询所有数据
     */
    private String source ;


    /** 默认必传
     *  statusType  0-未发布  ；10- 已发布或未完成   20完成
     */
    private String statusType;


    /**
     * 部门ID
     */
    private String deptIds;

    /**
     * 组织机构id
     */
    private String orgId;



    /**
     * 考核部门ID
     */
    private String userId;


    /**
     * 行政区划
     */
    private String areaCode;


    /**
     * 首页待办专用事项
     */
    private String dbzy;

    /**
     * 首页已专用事项
     */
    private String dbyb;


    /**
     * 评分依据
     */
    private String pfyj;

    /**
     * 农业分值
     */
    private String nyfz;

    /**
     * 非农业分值
     */
    private String fnyfz;

    /**
     * 考核方式
     */
    private String khfs;

    /**
     * 考核处室
     */
    private String  khcs;
    /**
     * 考核处室id
     */
    private String  khcsid;
    private String userCode;

}