package com.unis.accountability.businessmanagement.common.vo.examinationTask;

import com.unis.accountability.businessmanagement.common.vo.BaseVO;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;


/** 考核目标任务
 * @Auther:张新亮
 * @Date: 2018/10/25 0025 10:10
 * @Description:
 */
@Getter
@Setter
@ToString
public class TaskInfoVO{

    private String id;

    private String year;

    /**
     * 任务名称
     */
    private String taskName;


    /**
     * 分值（总分）
     */
    private Double totalScore;

    /**
     * 评分标准
     */
    private String pfbz;

    /**
     * 考核指标
     */
    private String khzb;

    /**
     * 重点考核事项
     */
    private String khsx;


    /**
     * 考核内容
     */
    private String khnr;


    /**
     * 评分依据
     */
    private String pfyj;

    /**
     * 农业分值
     */
    private String nyfz;

    /**
     * 非农业分值
     */
    private String fnyfz;

    /**
     * 考核方式
     */
    private String khfs;


}