package com.unis.accountability.businessmanagement.common.vo.responsibility;

import com.unis.accountability.businessmanagement.common.vo.UpdateVO;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

import java.util.List;

/** 责任考核--填报时间
 * @Auther:张新亮
 * @Date: 2018/10/25 0025 10:10
 * @Description:
 */
@Getter
@Setter
@ToString
public class BizRespResponsibilityUpdateVO extends UpdateVO {

    /**
     * ids
     */
    private String id;


    /**
     * 州市集合
     */
    private List<String> areaCodeList;


    /**
     * 年份
     */
    private String year;



    /**
     * 0-草稿；1-发布
     */
    private Integer status;

}