package com.unis.accountability.businessmanagement.common.vo.scoringWeight;

import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

import java.util.ArrayList;
import java.util.List;

/**
 * @Auther:张新亮
 * @Date: 2019/8/30 0030 14:02
 * @Description:
 */
@Getter
@Setter
@ToString
public class WeightInfoVO{

    private String ids;

    /**
     * 年份
     */
    private Integer year;

    /**
     * 省级年终配合部门开始时间  省级年终配合部门结束时间
     */
    private List<String> sjPhbmTime;

    /**
     * 省级平时配合部门开始时间  省级平时配合部门结束时间
     */
    private List<String> sjPhbmPsTime;

    /**
     * 省级年终牵头部门开始时间 省级年终牵头部门结束时间
     */
    private List<String> sjQtbmTime;
    /**
     * 省级平时牵头部门开始时间 省级平时牵头部门结束时间
     */
    private List<String> sjQtbmPsTime;

    /**
     * 省级牵头评分权重
     */
    private String sjQtbmWeight;

    /**
     * 省级牵头复评分权重
     */
    private String sjQtbmFpWeight;
    /**
     * 州市单位自评分权重
     */
    private String zsZpbmWeight;

    /**
     * 总分
     */
    private String totalScore;

    /**
     * 考核等级
     */
    private List<BizRespScoringWeightRankVO> weightRankList=new ArrayList();



}