package com.unis.accountability.businessmanagement;

import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.cloud.client.discovery.EnableDiscoveryClient;

import org.springframework.context.annotation.ComponentScan;
import tk.mybatis.spring.annotation.MapperScan;


@EnableDiscoveryClient
@SpringBootApplication
@MapperScan("com.unis.accountability.businessmanagement.mapper")
@ComponentScan("com.unis")
public class AccountabilityApplication {
    public static void main(String[] args) {
        SpringApplication.run(AccountabilityApplication.class, args);
        System.out.println("========================启动成功==================================");
    }
}