package com.unis.accountability.businessmanagement.entity;

import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

import java.util.Date;

/**
 * 粮食安全行政首长责任制----- 评分表分处室考核（市部门）   BIZ_RESP_CITY_TASK_FF
 */
@Getter
@Setter
@ToString
public class BizRespCityTaskfF extends BaseEntity{

    /**
     * 部门名称
     */
    private String deptName;
    /**
     * 用户code
     */
    private String userCode;


    /**
     * 任务ID
     */
    private String bizRespExaminationTaskId;

    /**
     * 部门类型  10 市级配合部门  20市级牵头部门
     */
    private String bmType;


    /**
     * 状态 10 未分发 20 已分发 30 发布
     */
    private String status;

}