package com.unis.accountability.businessmanagement.entity;

import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

import java.util.Date;

/**
 *  粮食安全行政首长责任制-----考核评分表管理下发评分表   BIZ_RESP_RESPONSIBILITY
 */
@Getter
@Setter
@ToString
public class BizRespResponsibility  extends BaseEntity{

    /**
     * 评分表名称
     */
    private String pfbmc;

    /**
     * 年份
     */
    private Integer year;

    /**
     * 0-草稿；1-发布
     */
    private Integer status;

    /**
     * 数据来源 10  省级  20  州市
     */
    private String source;

    /**
     * 行政区划
     */
    private String areaCode;

    /**
     * 州市行政区划
     */
    private String shiAreaCode;

    /**
     * 制定州市考核任务发布时间
     */
    private Date khrmTime;

    /**
     * 发布时间
     */
    private Date fbTime;




}