package com.unis.accountability.businessmanagement.entity;

import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

import java.util.Date;

/**
 * 粮食安全行政首长责任制-----考核评分权重   BIZ_RESP_SCORING_WEIGHT
 */
@Getter
@Setter
@ToString
public class BizRespScoringWeight extends BaseEntity{


    /**
     * 市考核起止时间配合部门开始时间
     */
    private Date sjPhbmStartTime;

    /**
     * 市考核起止时间配合部门结束时间
     */
    private Date sjPhbmEndTime;

    /**
     * 市考核起止时间牵头部门开始时间
     */
    private Date sjQtbmStartTime;

    /**
     * 市考核起止时间牵头部门结束时间
     */
    private Date sjQtbmEndTime;

    /**
     * 年份
     */
    private Integer year;

    /**
     * 0-草稿；1-发布
     */
    private Integer status;

    /**
     * 总分
     */
    private Double totalScore;

    /**
     * 区自评权重
     */
    private String zsZpbmWeight;

    /**
     * 市考核权重
     */
    private String sjQtbmWeight;

    /**
     * 市抽查权重
     */
    private String sjQtbmFpWeight;

    /**
     * 发布时间
     */
    private Date fbTime;

    /**
     * 区自评起止时间配合部门开始时间
     */
    private Date sjPhbmPsStartTime;

    /**
     *区自评起止时间配合部门结束时间
     */
    private Date sjPhbmPsEndTime;

    /**
     * 区自评起止时间牵头部门开始时间
     */
    private Date sjQtbmPsStartTime;

    /**
     * 区自评起止时间牵头部门结束时间
     */
    private Date sjQtbmPsEndTime;

}