package com.unis.accountability.businessmanagement.entity;

import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

import java.util.Date;

/**
 * 信息报送与用户关联表,记录内容已读未读
 */
@Getter
@Setter
@ToString
public class MsgNoticeUser  extends BaseEntity{


    /**
     * 信息表唯一标识
     */
    private String msgId;

    /**
     * 用户表唯一标识
     */
    private String userId;
    /**
     * 状态:30:未读,40:已读
     */
    private String status;

}