package com.unis.accountability.businessmanagement.mapper;

import com.unis.accountability.businessmanagement.common.vo.examinationExcel.AreeExcelVO;
import com.unis.accountability.businessmanagement.common.vo.examinationItem.ItemPage;
import com.unis.accountability.businessmanagement.entity.BizRespExaminationItem;

import java.util.List;
import java.util.Map;

public interface BizRespExaminationItemMapper {
    /**
     *
     * @mbggenerated 2019-09-18
     */
    int deleteByPrimaryKey(String id);

    /**
     *
     * @mbggenerated 2019-09-18
     */
    int insert(BizRespExaminationItem record);

    /**
     *
     * @mbggenerated 2019-09-18
     */
    int insertSelective(BizRespExaminationItem record);

    /**
     *
     * @mbggenerated 2019-09-18
     */
    BizRespExaminationItem selectByPrimaryKey(String id);

    /**
     *
     * @mbggenerated 2019-09-18
     */
    int updateByPrimaryKeySelective(BizRespExaminationItem record);

    /**
     *
     * @mbggenerated 2019-09-18
     */
    int updateByPrimaryKey(BizRespExaminationItem record);

    /**
     * 粮食安全行政首长责任制----考核内容----是否可以删除
     * @param id
     * @return
     */
    List<Map> findByBizRespContentId(String id);

    /**
     * 粮食安全行政首长责任制----重点考核事项---分页
     * @param itemPage
     * @return
     */
    List<Map> findByPage(ItemPage itemPage);

    /**
     * 粮食安全行政首长责任制----重点考核事项---是否右以编辑
     * @param id
     * @return
     */
    List<Map> findIfRelease(String id);

    /**
     * 粮食安全行政首长责任制----重点考核事项---根据年份year和组织机构 orgId 查询重点考核事项
     * @param map
     * @return
     */
    List<Map> findByYearAndOrgId(Map map);

    /**
     * 粮食安全行政首长责任制----考核评分表管理----重点考核事项
     * @param id
     * @return
     */
    List<BizRespExaminationItem> findByItemList(String id);

    /**
     * 粮食安全行政首长责任制----考核评分表管理----重点考核事项数量
     * @param id
     * @return
     */
    List<Map> findByItemNumber(String id);

    List<BizRespExaminationItem> findByItemExcel(AreeExcelVO areeExcelVO);

    List<Map> findByItemExcelNumber(AreeExcelVO areeExcelVO);

}