package com.unis.accountability.businessmanagement.mapper;

import com.unis.accountability.businessmanagement.common.vo.examinationExcel.AreeExcelVO;
import com.unis.accountability.businessmanagement.common.vo.examinationQuota.QutoaPage;
import com.unis.accountability.businessmanagement.entity.BizRespExaminationQuota;

import java.util.List;
import java.util.Map;

public interface BizRespExaminationQuotaMapper {
    /**
     *
     * @mbggenerated 2019-09-18
     */
    int deleteByPrimaryKey(String id);

    /**
     *
     * @mbggenerated 2019-09-18
     */
    int insert(BizRespExaminationQuota record);

    /**
     *
     * @mbggenerated 2019-09-18
     */
    int insertSelective(BizRespExaminationQuota record);

    /**
     *
     * @mbggenerated 2019-09-18
     */
    BizRespExaminationQuota selectByPrimaryKey(String id);

    /**
     *
     * @mbggenerated 2019-09-18
     */
    int updateByPrimaryKeySelective(BizRespExaminationQuota record);

    /**
     *
     * @mbggenerated 2019-09-18
     */
    int updateByPrimaryKey(BizRespExaminationQuota record);

    /**
     * 粮食安全行政首长责任制----考核指标  是否被使用
     * @param id
     * @return
     */
    List<Map> findByBizRespQuotaId(String id);

    /**
     * 粮食安全省长责任制--考核指标----分页
     * @param qutoaPage
     * @return
     */
    List<Map> findByPage(QutoaPage qutoaPage);

    /**
     * 粮食安全省长责任制--考核指标----是否可以修改
     * @param id
     * @return
     */
    List<Map> findIfRelease(String id);

    /**
     * 粮食安全省长责任制--考核指标----根据年份year和组织机构 orgId 查询重点考核事项
     * @param map
     * @return
     */
    List<Map> findByYearAndOrgId(Map map);

    /**
     *  粮食安全省长责任制--考核指标----集俣
     * @param itemId
     * @return
     */
    List<BizRespExaminationQuota> findByQuotaList(String itemId);

    List<Map> findByQuotaNumber(String quotaId);

    List<BizRespExaminationQuota> findByQuotaExcel(AreeExcelVO areeExcelVO);

    List<Map> findByQuotaExcelNumber(AreeExcelVO areeExcelVO);
}