package com.unis.accountability.businessmanagement.service;

import com.github.pagehelper.PageInfo;
import com.unis.accountability.businessmanagement.common.vo.cityPhbm.CityPhbmPage;
import com.unis.accountability.businessmanagement.common.vo.cityPhbm.CityPhbmPageVO;
import com.unis.accountability.businessmanagement.common.vo.cityPhbm.PhbmUpdateVO;
import com.unis.accountability.businessmanagement.common.vo.cityPhbm.PhbmVO;
import com.unis.accountability.businessmanagement.common.vo.cityZpbm.CityZpbmPage;
import com.unis.accountability.businessmanagement.common.vo.cityZpbm.CityZpbmPublishVO;

import java.util.List;

/**
 * @Auther:张新亮
 * @Date: 2019/9/21 0021 14:57
 * @Description:
 */
public interface BizRespCityPhbmService {
    /**
     * 粮食安全行政首长责任制----市级配合部门----分页
     * @param cityZpbmPage
     * @param page
     * @param size
     * @return
     */
    PageInfo<List<CityPhbmPageVO>> findByPage(CityPhbmPage cityZpbmPage, Integer page, Integer size);

    /**
     * 粮食安全行政首长责任制----市级配合部门----查看
     * @param id
     * @return
     */
    PhbmVO findById(String id,String  deptId);

    /**
     * 粮食安全行政首长责任制----市级配合部门---编辑
     * @param phbmUpdateVO
     * @return
     */
    boolean update(PhbmUpdateVO phbmUpdateVO);

    /**
     * 粮食安全行政首长责任制----市级配合部门---提交
     * @param cityZpbmPublishVO
     */
    void publish(CityZpbmPublishVO cityZpbmPublishVO);


    /**
     * 粮食安全行政首长责任制----市级配合部门---批量提交
     * @param cityZpbmPublishVO
     */
    void publishALL(CityZpbmPublishVO cityZpbmPublishVO);

    /**
     * 粮食安全行政首长责任制----市级配合部门---根据年份部门状态查询明细
     * @param cityPhbmPage
     * @return
     */
    List<CityPhbmPageVO> fidByYearAndDeptIdAndStatus(CityPhbmPage cityPhbmPage);
}