package com.unis.accountability.businessmanagement.service;

import com.github.pagehelper.PageInfo;
import com.unis.accountability.businessmanagement.common.vo.cityTaskDistribution.*;

import java.util.List;
import java.util.Map;

/**
 * @Auther:张新亮
 * @Date: 2019/9/20 0020 13:58
 * @Description:
 */
public interface BizRespCityTaskDistributionService {
    /**
     * 粮食安全行政首长责任制----州市任务分配管理----分页
     * @param cityTaskPage
     * @param page
     * @param size
     * @return
     */
    PageInfo<List<CityTaskDistributionPageVO>> findByPage(CityTaskPage cityTaskPage, Integer page, Integer size);

    /**
     * 粮食安全行政首长责任制----州市任务分配管理----查看
     * @param id
     * @return
     */
    CityTaskDistributionVO findById(String id);

    /**
     * 粮食安全行政首长责任制----州市任务分配管理---编辑
     * @param cityTaskUpdateVO
     * @return
     */
    boolean update(CityTaskUpdateVO cityTaskUpdateVO);

    /**
     * 粮食安全行政首长责任制----州市任务分配管理---发布
     * @param cityTaskPublishVO
     */
    void publish(CityTaskPublishVO cityTaskPublishVO);

    /**
     * 粮食安全行政首长责任制----州市任务分配管理---批量发布
     * @param cityTaskPublishVO
     */
    void publishALL(CityTaskPublishVO cityTaskPublishVO);


    /**
     * 粮食安全行政首长责任制----区自评查看（市局）----分页
     * @param cityTaskPage
     * @param page
     * @param size
     * @return
     */
    PageInfo<List<Map>> findZpCityByPage(CityTaskPage cityTaskPage, Integer page, Integer size);

    /**
     * 粮食安全行政首长责任制----区自评查看（市局）---考核分发
     * @param cityTaskPublishVO
     */
    void publishKhff(CityTaskPublishVO cityTaskPublishVO);

    /**
     * 粮食安全行政首长责任制----区自评查看（市局）---是否考核分发
     * @param cityTaskPublishVO
     * @return
     */
    String findByIsKhff(CityTaskPublishVO cityTaskPublishVO);
}