package com.unis.accountability.businessmanagement.service;

import com.github.pagehelper.PageInfo;
import com.unis.accountability.businessmanagement.common.vo.cityPhbm.PhbmUpdateVO;
import com.unis.accountability.businessmanagement.common.vo.cityPhbm.PhbmVO;
import com.unis.accountability.businessmanagement.common.vo.provincePhbm.ProvincePhbmPage;
import com.unis.accountability.businessmanagement.common.vo.provincePhbm.ProvincePhbmPublishVO;
import com.unis.accountability.businessmanagement.common.vo.provincePhbm.PrvoincePhbmPageVO;

import java.util.List;

/**
 * @Auther:张新亮
 * @Date: 2019/10/8 0008 14:49
 * @Description:
 */
public interface BizRespProvincePhbmService {

    /**
     * 粮食安全行政首长责任制----省级配合部门----分页
     * @param provincePhbmPage
     * @param page
     * @param size
     * @return
     */
    PageInfo<List<PrvoincePhbmPageVO>> findByPage(ProvincePhbmPage provincePhbmPage, Integer page, Integer size);

    /**
     * 粮食安全行政首长责任制----省级配合部门----查看
     * @param id  部门意见ID
     * @return
     */
    PhbmVO findById(String id);

    /**
     * 粮食安全行政首长责任制----省级配合部门---编辑
     * @param phbmUpdateVO
     * @return
     */
    boolean update(PhbmUpdateVO phbmUpdateVO);


    /**
     * 粮食安全行政首长责任制----省级配合部门---提交
     * @param phbmPublishVO
     */
    void publish(ProvincePhbmPublishVO phbmPublishVO);

    /**
     * "粮食安全行政首长责任制----省级配合部门---批量上报
     * @param phbmPublishVO
     */
    void publishALL(ProvincePhbmPublishVO phbmPublishVO);

}