package com.unis.accountability.businessmanagement.service;

import com.github.pagehelper.PageInfo;
import com.unis.accountability.businessmanagement.common.vo.cityPhbm.PhbmUpdateVO;
import com.unis.accountability.businessmanagement.common.vo.cityPhbm.PhbmVO;
import com.unis.accountability.businessmanagement.common.vo.cityQtbm.QtbmUpdateVO;
import com.unis.accountability.businessmanagement.common.vo.cityQtbm.QtbmVO;
import com.unis.accountability.businessmanagement.common.vo.provincePhbm.ProvincePhbmPage;
import com.unis.accountability.businessmanagement.common.vo.provincePhbm.ProvincePhbmPublishVO;
import com.unis.accountability.businessmanagement.common.vo.provincePhbm.PrvoincePhbmPageVO;

import java.util.List;

/**
 * @Auther:张新亮
 * @Date: 2019/10/8 0008 14:49
 * @Description:
 */
public interface BizRespProvinceQtbmService {

    /**
     * 粮食安全行政首长责任制----省级配合部门----分页
     * @param provincePhbmPage
     * @param page
     * @param size
     * @return
     */
    PageInfo<List<PrvoincePhbmPageVO>> findByPage(ProvincePhbmPage provincePhbmPage, Integer page, Integer size);

    /**
     * 粮食安全行政首长责任制----省级配合部门----查看
     * @param id  部门意见ID
     * @return
     */
    QtbmVO findById(String id);

    /**
     * 粮食安全行政首长责任制----省级配合部门---编辑
     * @param qtbmUpdateVO
     * @return
     */
    boolean update(QtbmUpdateVO qtbmUpdateVO);


    /**
     * 粮食安全行政首长责任制----省级配合部门---提交
     * @param phbmPublishVO
     */
    void publish(ProvincePhbmPublishVO phbmPublishVO);

    /**
     * "粮食安全行政首长责任制----省级配合部门---批量上报
     * @param phbmPublishVO
     */
    void publishALL(ProvincePhbmPublishVO phbmPublishVO);

    /**
     * 粮食安全行政首长责任制----省级牵头部门----查看配合部门明细
     * @param taskId
     * @param type
     * @return
     */
    List<PhbmVO> findByPhbmList(String taskId, String type);

    List<PhbmVO> selectByEntity(String id, String type,String areacode);
}