package com.unis.accountability.businessmanagement.common.vo.cityPhbm;

import com.unis.accountability.businessmanagement.common.vo.FileVO;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

import java.util.List;

/**
 * @Auther:张新亮
 * @Date: 2019/9/20 0020 14:28
 * @Description:
 */
@Getter
@Setter
@ToString
public class PhbmVO {


   private String id;

     /**
      * 配合部门
     */
    private String phbm;

    /**
     * 存在不足
     */
    private String scoreReason;

    /**
     * 整改措施
     */
    private String zgcs;

    /**
     * 填报人
     */
    private String bmtbr;

    /**
     * 审核人
     */
    private String bmshr;

    /**
     * 考核目标任务
     */
    private String bizResexaminationTaskId;
    /**
     * 评分结果录入(州市)
     */
    private String bizRespScoreInputId;

   /**
    * 机构ID
    */
   private String orgId;


    /**
     * 行政区划
     */
   private String areaCode;

    /**
     * 市行政区划
     */
    private String cityAreacode;


    /**
     * 文件ID
     */
   private String fileId;
    /**
     * 文件ID
     */
    private String fileName;
    
    /**
     *   类型:10 市配合部门  20 市牵头部门  40 区配合部门 50 区牵头部门 60 市平时牵头部门 70 市平时配合部门
     */
    private String type;
}