package com.unis.accountability.businessmanagement.common.vo.cityTaskDistribution;

import com.unis.accountability.businessmanagement.common.vo.cityPhbm.PhbmVO;
import com.unis.accountability.businessmanagement.common.vo.cityQtbm.QtbmOpionVO;
import com.unis.accountability.businessmanagement.common.vo.cityQtbm.QtbmVO;
import com.unis.accountability.businessmanagement.common.vo.cityZpbm.ZpbmVO;
import com.unis.accountability.businessmanagement.common.vo.examinationTask.TaskInfoVO;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

import java.util.List;

/**
 * @Auther:张新亮
 * @Date: 2019/9/21 0021 10:54
 * @Description:
 */
@Getter
@Setter
@ToString
public class CityTaskVO {

    /**
     * 市自评部门
     */
    private ZpbmVO zpbm;

    /**
     * 考核任务
     */
    private TaskInfoVO taskInfo;
    /**
     * 市配合部门
     */
    private PhbmVO phbmVO;
    /**
     * 市配合部门
     */
    private List<PhbmVO> phbmVOList;

    /**
     * 市牵头部门
     */
    private QtbmVO qtbmVO;

    /**
     * 区牵头配部和配合部门集合
     */
    private  List<QtbmOpionVO>  opionVOList;
}