package com.unis.accountability.businessmanagement.common.vo.examinationExcel;

import lombok.Getter;
import lombok.Setter;
import lombok.ToString;


/** 考核目标任务
 * @Auther:张新亮
 * @Date: 2018/10/25 0025 10:10
 * @Description:
 */
@Getter
@Setter
@ToString
public class BizRespExaminationTaskExcelVO {

    /**
     * 评分标准
     */
    private String scoreStandard;

    /**
     * 评分依据
     */
    private String pfyj;

    /**
     * 农业分值
     */
    private String nyfz;

    /**
     * 非农业分值
     */
    private String fnyfz;

    /**
     * 考核方式
     */
    private String khfs;



    /**
     * 状态    0-未发布  ；10- 已发布或未完成   20完成
     */
    private Integer status;

    /**
     * 考核指标ID
     */
    private String bizRespExaminationQuotaId;

    /**
     * 责任考核ID
     */
    private String bizRespResponsibilityId;


    /**
     * 牵头部门
     */
    private String leadDepartment;

    /**
     * 配合部门(多个，逗号分隔）
     */
    private String coordinationDepartment;


    /**
     * 区配合部门
     */
    private String phbm;

    /**
     * 区牵头部门
     */
    private String qtbm;

    /**
     * 自评得分分值
     */
    private Double score;

    /**
     * 市考核得分分值
     */
    private Double khdfScore;

    /**
     * 市抽查得分分值
     */
    private Double ccScore;
    /**
     * 市行政区划
     */
    private String cityAreaCode;
    /**
     * 区行政区划
     */
    private String areaCode;

    /**
     * 数量
     */
    private Integer number;

    private String result;

    private String mes;

}