package com.unis.accountability.businessmanagement.common.vo.examinationExcel;

import org.apache.commons.lang.StringUtils;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * @Auther:张新亮
 * @Date: 2019/9/24 0024 17:43
 * @Description:
 */
public class BizRespExcelNewVO extends BizRespExcelVO{


    /**
     * 粮食安全行政首长责任制----考核评分表管理----导入评分表
     * 较验第一行数据是否为省长责任制要导入的标提数据
     *
     * @param list
     * @return
     */
    public static boolean getCheckMainData(List<String> list,List<String> list2) {
        String result1="no";
        String result2="no";
        //评分标准
        String pfbz = list.get(0).trim().replaceAll("\r|\n", "");
        //分值
        String fz = list.get(1).trim().replaceAll("\r|\n", "");

        //考核部门
        String khbm = list.get(3).trim().replaceAll("\r|\n", "");
        //评分依据 改为字段备注
        String pfyj = list.get(5).trim().replaceAll("\r|\n", "");
        if (fz.equals("分值")
                 && pfbz.equals("评分标准")  && pfyj.equals("备注")
                  && khbm.equals("考核部门")
                ) {
            result1="yes";
        }



        //农业
        String ny = list2.get(1).trim().replaceAll("\r|\n", "");
        //非农业
        String fny = list2.get(2).trim().replaceAll("\r|\n", "");
        //牵头部门
        String qtbm = list2.get(3).trim().replaceAll("\r|\n", "");
        //配合部门(单位)
        String phbm = list2.get(4).trim().replaceAll("\r|\n", "");

        if (ny.equals("农业区") && fny.equals("非农业区") &&
                qtbm.equals("牵头部门") && phbm.equals("配合部门(单位)")
                ) {
            result2="yes";
        }

        if(result2.equals("yes") && result1.equals("yes")){
            return true;
        }
        return false;
    }

    /**
     * 整理导入省长责任制的数据
     * @param list
     * @return
     */
    public static Map getCheckExcelData1(
            List<List<String>> list,
            List<BizRespExaminationTaskExcelVO> excelVOList,
            List<Map> bmList
    ) {
        //考核内容集合
        List<BizRespExaminationTaskExcelVO> contentExcelVOList=new ArrayList();
        Map result=new HashMap();
        for(int i=3;i<list.size();i++){
            //年度考核目标任务
            result=getTask(list.get(i), excelVOList,bmList);
            String resu=result.get("result").toString();
            if(resu.equals("2")){
                return result;
            }
        }
        System.out.println("考核内容集合:" + contentExcelVOList);
        excelVOList.addAll(contentExcelVOList);
        return result;

    }


}