package com.unis.accountability.businessmanagement.common.vo.examinationTask;

import com.unis.accountability.businessmanagement.common.vo.BaseVO;
import com.unis.accountability.businessmanagement.common.vo.opinion.BizRespDepartmentalOpinionVO;
import lombok.Data;

import java.util.Date;
import java.util.List;

/**
 * @Author zoujieli
 * @Description
 * @Date 2019/9/20 17:42
 * Version 1.0
 */
@Data
public class BigTaskVO {

    /**
     * 省级牵头部门评分意见List
     */
    BizRespDepartmentalOpinionVO leadOpinion;

    /**
     * 省级牵头部门复评意见
     */
    BizRespDepartmentalOpinionVO leadAgainOpinion;

    /**
     * 省级配合部门评分意见LIES
     */
    List<BizRespDepartmentalOpinionVO> CoordinateOpinionList;

    /**
     * 考核目标任务明细
     */
    public TaskInfoVO taskInfoVO = new TaskInfoVO();
}
