package com.unis.accountability.businessmanagement.common.vo.examinationTask;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @Author zoujieli
 * @Description
 * @Date 2019/9/21 16:19
 * Version 1.0
 */
@Data
public class ProvinceLeadVO {

    @ApiModelProperty(value = "id")
    private String id;

    @ApiModelProperty(value = "意见表主键id")
    private String oid;

    @ApiModelProperty(value = "年度考核目标任务")
    private String taskName;

    @ApiModelProperty(value = "任务状态 0：未上报，10 已上报  20: 提交")
    private Integer tStatus;

    @ApiModelProperty(value = "分值")
    private Integer totalScore;

    @ApiModelProperty(value = "区域编号")
    private String areaCode;

    @ApiModelProperty(value = "考核年度")
    private Integer year;

    @ApiModelProperty(value = "省级牵头部门分值")
    private Integer score;

    @ApiModelProperty(value = "修改时间")
    private Date updateTime;

    @ApiModelProperty(value = "状态")
    private String status;

    @ApiModelProperty(value = "配合部门(多个，逗号分隔）")
    private String coordinationDepartment;

    @ApiModelProperty(value = "牵头部门(多个，逗号分隔）")
    private String leadDepartment;

    @ApiModelProperty(value = "类型")
    private String type;

}
