package com.unis.accountability.businessmanagement.common.vo.examinationTask;

import lombok.Getter;
import lombok.Setter;
import lombok.ToString;


/** 考核目标任务
 * @Auther:张新亮
 * @Date: 2018/10/25 0025 10:10
 * @Description:
 */
@Getter
@Setter
@ToString
public class TaskVO {

    private String ids;

    /**
     * 任务名称
     */
    private String taskName;

    /**
     * 考核指标ID
     */
    private String bizRespExaminationQuotaId;

    /**
     * 责任考核ID
     */
    private String bizRespResponsibilityId;


    /**
     * 牵头部门(多个，逗号分隔）
     */
    private String leadDepartment;


    /**
     * 配合部门(多个，逗号分隔）
     */
    private String coordinationDepartment;
    /**
     * 考核处室
     */
    private String  khcs;
    /**
     * 考核处室id
     */
    private String  khcsid;
    private String userCode;

    /**
     * 状态: 0 未分发 10 已分发 30 已提交
     */
    private Integer status;
    /**
     * 评分标准
     */
    private String scoreStandard;

    /**
     * 评分依据
     */
    private String pfyj;

    /**
     * 农业分值
     */
    private String nyfz;

    /**
     * 非农业分值
     */
    private String fnyfz;

    /**
     * 考核方式
     */
    private String khfs;




}