package com.unis.accountability.businessmanagement.common.vo.manageRuler;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;


@Data
@ApiModel(value = "table_dict字典")
public class DictDTO{

	@ApiModelProperty(value = "主键")
	private	String id;	//db_column:id	note:主键

	@ApiModelProperty(value = "字典编码")
	private	String dictBm;	//db_column:dict_bm	note:字典编码

	@ApiModelProperty(value = "字典父级编码")
	private	String dictParentBm;	//db_column:dict_parent_bm	note:字典父级编码

	@ApiModelProperty(value = "字典名称")
	private	String dictName;	//db_column:dict_name	note:字典名称

	@ApiModelProperty(value = "字典备注")
	private	String dictRemark;	//db_column:dict_remark	note:字典备注

	@ApiModelProperty(value = "字典是否使用 0是 1否")
	private	Integer dictIsUse;	//db_column:dict_is_use	note:字典是否使用 0是 1否

	@ApiModelProperty(value = "字典描述")
	private	String dictDesc;	//db_column:dict_desc	note:字典描述

	@ApiModelProperty(value = "字典所属服务名")
	private	String dictServiceName;	//db_column:dict_service_name	note:字典所属服务名

	@ApiModelProperty(value = "字典排序")
	private	Integer dictOrder;	//db_column:dict_order	note:字典排序

	@ApiModelProperty(value = "创建人")
	private	String createBy;	//db_column:create_by	note:创建人

	@ApiModelProperty(value = "创建时间")
	private	String createTime;	//db_column:create_time	note:创建时间

	@ApiModelProperty(value = "修改人")
	private	String updateBy;	//db_column:update_by	note:修改人

	@ApiModelProperty(value = "修改时间")
	private	String updateTime;	//db_column:update_time	note:修改时间

	@ApiModelProperty(value = "删除人")
	private	String deleteBy;	//db_column:delete_by	note:删除人

	@ApiModelProperty(value = "删除时间")
	private	String deleteTime;	//db_column:delete_time	note:删除时间

}