package com.unis.accountability.businessmanagement.common.vo.manageRuler;

import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;


/**
 * ty_wzcbglzd
 * @author liuweilong
 *
 */
@Data
@ApiModel(value = "ty_wzcbglzd--粮食与物资储备管理制度")
public class MangerRulesVO  extends BaseVO{
	
	@ApiModelProperty(value = "ZD+8位顺序号")
	private String zdbm;     //db_column:zdbm          	note:ZD+8位顺序号
	
	@ApiModelProperty(value = "发布人")
	private String fbr;      //db_column:fbr          	note:发布人
	
	@ApiModelProperty(value = "上传日期")
	@JsonFormat( pattern = "yyyy-MM-dd")
	private Date scrq;       //db_column:scrq         	note:上传日期
	
	@ApiModelProperty(value = "文件名称")
	private  String wjmc;    //db_column:wjmc          	note:文件名称
	
	@ApiModelProperty(value = "文件内容")
	private  String wjnr;    //db_column:wjnr         	note:文件内容
	
	@ApiModelProperty(value = "附件id")
	private String fjid;     //db_column:fjid          	note:附件id
	
	@ApiModelProperty(value = "状态")
	private Integer zt;      //db_column:zt          	note:状态
	
	@ApiModelProperty(value="下发标识")
	private Integer bs;
}