package com.unis.accountability.businessmanagement.common.vo.msgNotice;

import com.unis.accountability.businessmanagement.common.vo.FileVO;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

import java.util.Date;
import java.util.List;

/**
 * 信息报送、资料下载d
 */
@Getter
@Setter
@ToString
public class MsgNoticeUserVO {
    /**
     * 标题
     */
    private String title;

    /**
     * 内容
     */
    private String content;
    /**
     *  附件（文件ID，多个用逗号分隔）
     */
    private List<String> fileId;

    /**
     * 上传文件
     */
    private List<FileVO> fileList;

    /**
     *  发布范围-- 接收单位
     */
    private List<String>  publishScope;

    /**
     *  发布范围-- 接收单位
     */
    private List<String>  publishScopeName;

    /**
     *  本单位
     */
    private String scopeName;

    /**
     * 发布人
     */
    private String publishBy;

    /**
     * 发布时间
     */
    private String  publishTime;

    

}