package com.unis.accountability.businessmanagement.common.vo.msgNotice;

import com.unis.accountability.businessmanagement.common.vo.FileVO;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

import java.util.Date;
import java.util.List;

/**
 * 信息报送、资料下载d
 */
@Getter
@Setter
@ToString
public class MsgNoticeVO {

    private String ids;

    /**
     * 标题
     */
    private String title;

    /**
     * 上报年分
     */
    private String year;

    /**
     * 内容
     */
    private String content;


    /**
     * 填报人
     */
    private String publishBy;

    /**
     * 填报时间
     */
    private String publishTime;


    /**
     * 状态 10  未提交  20  已提交 30  未采用 40 已采用
     */
    private String status;

    /**
     *  附件（文件ID，多个用逗号分隔）
     */
    private List<String> fileId;

    /**
     *  附件（文件ID，多个用逗号分隔）
     */
    private List<FileVO> fileList;



}