package com.unis.accountability.businessmanagement.common.vo.opinion;

import com.unis.accountability.businessmanagement.common.vo.BaseVO;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
 * @author zoujieli
 * @description 部门评分意见VO
 */
@Data
public class BizRespDepartmentalOpinionVO extends BaseVO {

    @ApiModelProperty(value = "id")
    private String id;
    /**
     * 分值
     */
    @ApiModelProperty(value = "分值")
    private Double score;

    /**
     * 评分原因
     */
    @ApiModelProperty(value = "评分原因")
    private String scoreReason;


    /**
     * 扣分原因
     */
    @ApiModelProperty(value = "扣分原因")
    private String kfyy;

    /**
     * 整改措施
     */
    @ApiModelProperty(value = "整改措施")
    private String zgcs;

    /**
     * 类型: 10 省配合部门 20 省牵头部门 30 市自评部门 40 市配合部门 50 市牵头部门
     */
    @ApiModelProperty(value = "类型 10 省配合部门 20 省牵头部门 30 市自评部门 40 市配合部门 50 市牵头部门")
    private String type;


    /**
     * 填报人
     */
    @ApiModelProperty(value = "填报人")
    private String bmtbr;

    /**
     * 审核人
     */
    @ApiModelProperty(value = "审核人")
    private String bmshr;

    /**
     * 状态：10 未录入 20 已录入
     */
    @ApiModelProperty(value = "状态：10 未录入 20 已录入")
    private String status;

    /**
     * 考核目标任务
     */
    @ApiModelProperty(value = "考核目标任务")
    private String bizResexaminationTaskId;
    /**
     * 评分结果录入(州市)
     */
    @ApiModelProperty(value = "评分结果录入(州市)")
    private String bizRespScoreInputId;

}