package com.unis.accountability.businessmanagement.common.vo.provinceTask;

import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

/**
 * @Auther:张新亮
 * @Date: 2019/9/20 0020 14:28
 * @Description:
 */
@Getter
@Setter
@ToString
public class ProvincePageVO {


    private String id;

    /**
     * 年度
     */
    private String year;
    /**
     * 行政区划
     */
    private String shiAreaCode;
    /**
     * 行政区划名字
     */
    private String shiAreaCodeName;

    /**
     * 地区类型
     */
    private String shiAreaCodeType;


    /**
     * 农业分值
     */
    private Double nyfz;
    /**
     * 非农业分值
     */
    private Double fnyfz;

    /**
     * 考核---完成分数
     */
    private Double kh_wcfs;
    /**
     * 考核---考核得分
     */
    private Double kh_khdf;
    /**
     * 考核---完成进度
     */
    private String kh_wcjd;


    /**
     * 抽查---完成分数
     */
    private Double cc_wcfs;
    /**
     * 抽查---考核得分
     */
    private Double cc_khdf;
    /**
     * 抽查--完成进度
     */
    private String cc_wcjd;



    /**
     * 最后更新时间
     */
    private String updateTime;


    /**
     * 状态值
     */
    private String statusValue;

    /**
     * 状态
     */
    private String status;

    /**
     * 责任考核ID
     */
    private String bizRespResponsibilityId;


    /**
     * 总数
     */
    private Integer Total;

    /**
     * 未上报
     */
    private Integer kh_Wsb;

    /**
     * 已上报
     */
    private Integer kh_Ysb;

    /**
     * 未上报
     */
    private Integer cc_Wsb;

    /**
     * 已上报
     */
    private Integer cc_Ysb;

}