package com.unis.accountability.businessmanagement.common.vo.responsibility;

import com.unis.accountability.businessmanagement.common.vo.BaseVO;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

import java.util.List;

/** 责任考核--填报时间
 * @Auther:张新亮
 * @String: 2018/10/25 0025 10:10
 * @Description:
 */
@Getter
@Setter
@ToString
public class BizRespResponsibilityVO extends BaseVO{

    private String ids;

    /**
     * 评分表名称
     */
    private String pfbmc;

    /**
     * 年份
     */
    private Integer year;


    /**
     * 州市行政区划
     */
    private List<String> shiAreaCode;

    /**
     * 市集合
     */
    private String shiAreaCodeName;


    /**
     * 来源
     */
    private String source;

}