package com.unis.accountability.businessmanagement.common.vo.scoringWeight;

import com.unis.accountability.businessmanagement.common.vo.BaseVO;

import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

import java.util.ArrayList;
import java.util.List;

/**
 * @Auther:张新亮
 * @Date: 2019/8/30 0030 14:02
 * @Description:
 */
@Getter
@Setter
@ToString
public class BizRespScoringWeightVO extends BaseVO {

    private String id;

    /**
     * 州市考核开始时间
     */
    private String zsStartTime;

    /**
     * 州市考核结束时间
     */
    private String zsEndTime;

    private List<String> zsTime;



    /**
     * 省级配合部门开始时间
     */
    private String sjPhbmStartTime;

    /**
     * 省级配合部门结束时间
     */
    private String sjPhbmEndTime;

    private List<String> sjPhbmTime;

    /**
     * 省级牵头部门开始时间
     */
    private String sjQtbmStartTime;

    /**
     * 省级牵头部门结束时间
     */
    private String sjQtbmEndTime;

    private List<String> sjQtbmTime;

    /**
     * 年份
     */
    private Integer year;


    /**
     * 区自评权重
     */
    private String zsZpbmWeight;

    /**
     * 市考核权重
     */
    private String sjQtbmWeight;
    /**
     * 市抽查权重
     */
    private String sjQtbmFpWeight;
    /**
     * 总分
     */
    private String totalScore;

    /**
     * 考核等级
     */
    private List<BizRespScoringWeightRankVO> weightRankList=new ArrayList();




}