package com.unis.accountability.businessmanagement.entity;


import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

/**
 * 粮食安全行政首长责任制-----部门评分意见   BIZ_RESP_DEPARTMENTAL_OPINION
 */
@Getter
@Setter
@ToString
public class BizRespDepartmentalOpinion extends BaseEntity{

    /**
     * 分值
     */
    private Double score;

    /**
     * 评分原因
     */
    private String scoreReason;


    /**
     * 扣分原因
     */
    private String kfyy;

    /**
     * 整改措施
     */
    private String zgcs;

    /**
     *   类型:10 市配合部门  20 市牵头部门  40 区配合部门 50 区牵头部门 60 市平时牵头部门 70 市平时配合部门
     */
    private String type;


    /**
     * 填报人
     */
    private String bmtbr;

    /**
     * 审核人
     */
    private String bmshr;

    /**
     * 状态：10 未录入 20 已录入  30 提交   40 复评 50已审核
     */
    private String status;



    /**
     * 考核目标任务
     */
    private String bizResexaminationTaskId;
    /**
     * 评分结果录入(州市)
     */
    private String bizRespScoreInputId;
    /**
     * 上传文件ID
     */
    private String fileId;
    /**
     * 用户Code
     */
    private String userCode;

    /**
     * 状态: 0 未分发 20 已分发 30 已提交
     */
    private Integer ffzt;

    /**
     * 考核处室
     */
    private String  khcs;
    /**
     * 考核处室id
     */
    private String  khcsid;

}