package com.unis.accountability.businessmanagement.entity;

import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

@Getter
@Setter
@ToString
public class BizRespExaminationTask extends BaseEntity{

    /**
     * 任务名称
     */
    private String taskName;

    /**
     * 牵头部门(多个，逗号分隔）
     */
    private String leadDepartment;

    /**
     * 配合部门(多个，逗号分隔）
     */
    private String coordinationDepartment;

    /**
     * 考核处室
     */
    private String  khcs;
    /**
     * 考核处室id
     */
    private String  khcsid;

    private String userCode;

    /**
     * 评分标准
     */
    private String scoreStandard;


    /**
     * 状态: 0 未分发 20 已分发 30 已提交
     */
    private Integer status;

    /**
     * 自评附件文件ID
     */
    private String fileId;

    /**
     * 考核指标ID
     */
    private String bizRespExaminationQuotaId;

    /**
     * 责任考核ID
     */
    private String bizRespResponsibilityId;

    /**
     * 任务节点  1 州市填报
     */
    private String taskJd;



    /**
     * 评分依据
     */
    private String pfyj;

    /**
     * 农业分值
     */
    private String nyfz;

    /**
     * 非农业分值
     */
    private String fnyfz;

    /**
     * 考核方式
     */
    private String khfs;


}