package com.unis.accountability.businessmanagement.entity;

import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

import java.util.Date;

/**
 * 粮食安全行政首长责任制-----评分结果录入(州市)---填报时间   BIZ_RESP_SCORING_CITY
 */
@Getter
@Setter
@ToString
public class BizRespScoringCity extends BaseEntity{

    /**
     * 市配合部门开始时间
     */
    private Date sjPhbmStartTime;

    /**
     * 市配合部门结束时间
     */
    private Date sjPhbmEndTime;

    /**
     * 市牵头部门开始时间
     */
    private Date sjQtbmStartTime;

    /**
     * 市牵头部门结束时间
     */
    private Date sjQtbmEndTime;

    /**
     * 年份
     */
    private Integer year;

    /**
     * 0-草稿；1-发布
     */
    private Integer status;

    /**
     * 发布时间
     */
    private Date fbTime;

    /**
     * 市自评部门开始时间
     */
    private Date sjZpbmStartTime;

    /**
     * 市自评部门结束时间
     */
    private Date sjZpbmEndTime;

}