package com.unis.accountability.businessmanagement.entity;

import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

import java.util.Date;

/**
 * 信息报送、资料下载
 */
@Getter
@Setter
@ToString
public class MsgNotice  extends BaseEntity{


    /**
     * 上报年分
     */
    private String year;

    /**
     * 标题
     */
    private String title;

    /**
     * 内容
     */
    private String content;


    /**
     *  附件（文件ID，多个用逗号分隔）
     */
    private String fileId;

    /**
     * 填报人
     */
    private String publishBy;

    /**
     * 填报时间
     */
    private Date publishTime;


    /**
     * 状态: 10  未提交  20  已提交 30  未采用 40 已采用
     */
    private String status;


}