package com.unis.accountability.businessmanagement.mapper;

import com.unis.accountability.businessmanagement.common.vo.cityTaskDistribution.CityTaskDistributionPageVO;
import com.unis.accountability.businessmanagement.common.vo.cityTaskDistribution.CityTaskDistributionVO;
import com.unis.accountability.businessmanagement.common.vo.cityTaskDistribution.CityTaskPage;

import java.util.List;
import java.util.Map;

/**
 * @Auther:张新亮
 * @Date: 2019/9/20 0020 14:05
 * @Description:
 */
public interface BizRespCityTaskDistributionMapper {

    /**
     * 粮食安全行政首长责任制----州市任务分配管理----分页
     * @param cityTaskPage
     * @return
     */
    List<CityTaskDistributionPageVO> findByPage(CityTaskPage cityTaskPage);

    /**
     * 粮食安全行政首长责任制----州市任务分配管理----查看
     * @param id
     * @return
     */
    CityTaskDistributionVO findById(String id);

    /**
     * 粮食安全行政首长责任制----区自评查看（市局）----分页
     * @param cityTaskPage
     * @return
     */
    List<Map> findZpCityByPage(CityTaskPage cityTaskPage);
}