package com.unis.accountability.businessmanagement.mapper;

import com.unis.accountability.businessmanagement.common.vo.cityFf.CityFfPage;
import com.unis.accountability.businessmanagement.common.vo.cityFf.CityFfPageVO;
import com.unis.accountability.businessmanagement.common.vo.cityFf.FfPublishVO;
import com.unis.accountability.businessmanagement.common.vo.cityZpbm.CityZpbmPublishVO;
import com.unis.accountability.businessmanagement.entity.BizRespCityTaskfF;

import java.util.List;

public interface BizRespCityTaskfFMapper {
    /**
     *
     * @mbggenerated 2019-12-12
     */
    int deleteByPrimaryKey(String id);

    /**
     *
     * @mbggenerated 2019-12-12
     */
    int insert(BizRespCityTaskfF record);

    /**
     *
     * @mbggenerated 2019-12-12
     */
    int insertSelective(BizRespCityTaskfF record);

    /**
     *
     * @mbggenerated 2019-12-12
     */
    BizRespCityTaskfF selectByPrimaryKey(String id);

    /**
     *
     * @mbggenerated 2019-12-12
     */
    int updateByPrimaryKeySelective(BizRespCityTaskfF record);

    /**
     *
     * @mbggenerated 2019-12-12
     */
    int updateByPrimaryKey(BizRespCityTaskfF record);

    /**
     * 粮食安全省长责任制--评分表分处室考核（市部门）---分页
     * @param cityFfPage
     * @return
     */
    List<CityFfPageVO> findByPage(CityFfPage cityFfPage);
    /**
     * 粮食安全省长责任制--评分表分处室考核（区部门）---分页
     * @param cityFfPage
     * @return
     */
    List<CityFfPageVO> findByPageQu(CityFfPage cityFfPage);


    List<BizRespCityTaskfF> findByStatus(FfPublishVO ffPublishVO);
}