package com.unis.accountability.businessmanagement.mapper;

import com.unis.accountability.businessmanagement.common.vo.examinationContent.ContentPage;
import com.unis.accountability.businessmanagement.common.vo.examinationExcel.AreeExcelVO;
import com.unis.accountability.businessmanagement.entity.BizRespExaminationContent;
import com.unis.accountability.businessmanagement.entity.BizRespExaminationTask;

import java.util.List;
import java.util.Map;

public interface BizRespExaminationContentMapper {
    /**
     *
     * @mbggenerated 2019-09-18
     */
    int deleteByPrimaryKey(String id);

    /**
     *
     * @mbggenerated 2019-09-18
     */
    int insert(BizRespExaminationContent record);

    /**
     *
     * @mbggenerated 2019-09-18
     */
    int insertSelective(BizRespExaminationContent record);

    /**
     *
     * @mbggenerated 2019-09-18
     */
    BizRespExaminationContent selectByPrimaryKey(String id);

    /**
     *
     * @mbggenerated 2019-09-18
     */
    int updateByPrimaryKeySelective(BizRespExaminationContent record);

    /**
     *
     * @mbggenerated 2019-09-18
     */
    int updateByPrimaryKey(BizRespExaminationContent record);

    /**
     * 粮食安全行政首长责任制----考核内容----分页
     * @param contentPage
     * @return
     */
    List<Map> findByPage(ContentPage contentPage);

    /**
     * 粮食安全行政首长责任制----考核内容----是否可以编辑
     * @param id
     * @return
     */
    List<Map> findIfRelease(String id);


    /**
     * 粮食安全行政首长责任制----考核内容----根据年份year和组织机构查询好喝内容
     * @param map
     * @return
     */
    List<Map> findByYearAndOrgId(Map map);

    /**
     * 粮食安全行政首长责任制----根据 bizRespResponsibilityId 查询考核内容
     * @param bizRespResponsibilityId
     * @return
     */
    List<BizRespExaminationContent> findByRespResponsibilityId(String bizRespResponsibilityId);


    /**
     * 根据考核内容ID查询子项个数
     * @param id
     * @return
     */
    List<Map> findByContentNumber(String id);

    List<BizRespExaminationContent> findByContentExcel(AreeExcelVO areeExcelVO);

    /**
     * areeExcelVO
     * @param areeExcelVO
     * @return
     */
    List<Map> findByContentExcelNumber(AreeExcelVO areeExcelVO);
}