package com.unis.accountability.businessmanagement.mapper;

import com.unis.accountability.businessmanagement.common.vo.responsibility.BizRespResponsibilityCityVO;
import com.unis.accountability.businessmanagement.common.vo.responsibility.BizRespResponsibilityPageVO;
import com.unis.accountability.businessmanagement.entity.BizRespResponsibility;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

public interface BizRespResponsibilityMapper {
    /**
     *
     * @mbggenerated 2019-09-18
     */
    int deleteByPrimaryKey(String id);

    /**
     *
     * @mbggenerated 2019-09-18
     */
    int insert(BizRespResponsibility record);

    /**
     *
     * @mbggenerated 2019-09-18
     */
    int insertSelective(BizRespResponsibility record);

    /**
     *
     * @mbggenerated 2019-09-18
     */
    BizRespResponsibility selectByPrimaryKey(String id);

    /**
     *
     * @mbggenerated 2019-09-18
     */
    int updateByPrimaryKeySelective(BizRespResponsibility record);

    /**
     *
     * @mbggenerated 2019-09-18
     */
    int updateByPrimaryKey(BizRespResponsibility record);

    /**
     * 考核评分表管理---分页查询
     * @param pageVO
     * @return
     */
    List<Map> findByPage(BizRespResponsibilityPageVO pageVO);



    /**
     * 根据评分表名称查询数据是否存在
     * @param pfbmc
     * @return
     */
    BizRespResponsibility findByPfbmc(@Param(value="pfbmc") String  pfbmc,@Param(value="year")  String year);


    /**
     * 考核评分表管理------根据年份year和组织机构和ID查询基本信息
     * @param map
     * @return
     */
    BizRespResponsibility findByYearAndOrgId(Map map);

    /**
     * 考核评分表管理---下级州市
     * @param cityVO
     * @return
     */
    List<String> findByZhuoShi(BizRespResponsibilityCityVO cityVO);

    /**
     * 考核评分表管理---下发评表明细
     * @param pageVO
     * @return
     */
    List<Map> findByRespResponsibilityInfo(BizRespResponsibilityPageVO pageVO);

    /**
     * 考核评分表管理---复制评分表  根所年分和评分表名称查询
     * @param oldYear
     * @param oldPfbmc
     * @return
     */
    BizRespResponsibility findByYearAndPfbName(@Param(value="oldYear")String oldYear, @Param(value="oldPfbmc")String oldPfbmc);

    List<Map> findByRespResponsibilityInfoXf(BizRespResponsibilityPageVO pageVO);


    List<BizRespResponsibility> findByAll();

}