package com.unis.accountability.businessmanagement.mapper;

import com.unis.accountability.businessmanagement.common.vo.scoringCity.ScoringPage;
import com.unis.accountability.businessmanagement.entity.BizRespScoringCity;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

public interface BizRespScoringCityMapper {
    /**
     *
     * @mbggenerated 2019-09-19
     */
    int deleteByPrimaryKey(String id);

    /**
     *
     * @mbggenerated 2019-09-19
     */
    int insert(BizRespScoringCity record);

    /**
     *
     * @mbggenerated 2019-09-19
     */
    int insertSelective(BizRespScoringCity record);

    /**
     *
     * @mbggenerated 2019-09-19
     */
    BizRespScoringCity selectByPrimaryKey(String id);

    /**
     *
     * @mbggenerated 2019-09-19
     */
    int updateByPrimaryKeySelective(BizRespScoringCity record);

    /**
     *
     * @mbggenerated 2019-09-19
     */
    int updateByPrimaryKey(BizRespScoringCity record);

    /**
     * 粮食安全首长责任制--州市任务填报设置----分页
     * @param scoringPage
     * @return
     */
    List<Map> findByPage(ScoringPage scoringPage);

    /**
     * 粮食安全首长责任制--州市考核任务管理----根据年份和状态查贸易 州市任务填报设置 信怎
     * @param year
     * @param status
     * @return
     */
    BizRespScoringCity findByYearAndStatus(@Param(value="year")String year, @Param(value="status")String status,@Param(value="areaCode")String areaCode);


    /**
     * 粮食安全首长责任制--州市任务填报设置----根据年分和部门查询明细
     * @param year
     * @param orgId
     * @return
     */
    BizRespScoringCity findByYearAndOrgId(@Param(value="year")String year,@Param(value="orgId")String orgId);
}