package com.unis.accountability.businessmanagement.mapper;

import com.unis.accountability.businessmanagement.common.vo.provinceTask.ProvinceCityPageVO;
import com.unis.accountability.businessmanagement.common.vo.provinceTask.ProvinceCityTaskPage;
import com.unis.accountability.businessmanagement.common.vo.provinceTask.ProvincePageVO;
import com.unis.accountability.businessmanagement.common.vo.provinceTask.ProvinceTaskPage;
import com.unis.accountability.businessmanagement.entity.BizRespSummary;

import java.util.List;
import java.util.Map;

public interface BizRespSummaryMapper {
    /**
     *
     * @mbggenerated 2019-09-19
     */
    int deleteByPrimaryKey(String id);

    /**
     *
     * @mbggenerated 2019-09-19
     */
    int insert(BizRespSummary record);

    /**
     *
     * @mbggenerated 2019-09-19
     */
    int insertSelective(BizRespSummary record);

    /**
     *
     * @mbggenerated 2019-09-19
     */
    BizRespSummary selectByPrimaryKey(String id);

    /**
     *
     * @mbggenerated 2019-09-19
     */
    int updateByPrimaryKeySelective(BizRespSummary record);

    /**
     *
     * @mbggenerated 2019-09-19
     */
    int updateByPrimaryKey(BizRespSummary record);

    /**
     * 粮食安全行政首长责任制----省级任务考查询(省考核办)----分页
     * @param provinceTaskPage
     * @return
     */
    List<ProvincePageVO> findByPage(ProvinceTaskPage provinceTaskPage);


    /**
     * 粮食安全行政首长责任制----省级任务考查询(省考核办)----分数统计
     * @param sumMap
     * @return
     */
    BizRespSummary findByBilityIdAndAreaCode(Map sumMap);
}