package com.unis.accountability.businessmanagement.service;

import com.unis.accountability.businessmanagement.common.vo.cityZpbm.CityZpbmPage;
import com.unis.accountability.businessmanagement.common.vo.examinationExcel.*;
import com.unis.accountability.businessmanagement.common.vo.provinceTask.ProvinceCityPageVO;
import com.unis.accountability.businessmanagement.entity.BizRespResponsibility;

import java.util.List;

/**
 * @Auther:张新亮
 * @Date: 2019/9/25 0025 14:47
 * @Description:
 */
public interface BizRespExaminationExcelService {
    /**
     * 粮食安全行政首长责任制--省级任务考查询(省考核办)---州市评分表导出
     * @param year
     * @param shiAreaCode
     * @param bizRespResponsibilityId
     * @return
     */
    List<ProvinceCityPageVO> exportCityExcel(String year, String shiAreaCode, String bizRespResponsibilityId);

    /**
     * 粮食安全行政首长责任制----考核评分表管理----导入评分表
     * @param excelSaveVO
     * @return
     */
    boolean saveExcleData(BizRespExcelSaveVO excelSaveVO);

    boolean saveExcleData1(BizRespExcelSaveNewVO excelSaveVO);

    /**
     * 粮食安全行政首长责任制----考核评分表管理----导出评分表
     * @param bizRespResponsibilityId
     * @return
     */
    List<BizRespExaminationContentExcelVO> exportKhpfbExcel(String bizRespResponsibilityId);

    /**
     * 粮食安全行政首长责任制--区自评查看（区粮办）---导出
     * @param cityZpbmPage
     * @return
     */
    List<BizRespExaminationContentExcelVO> exportAreaExcel(AreeExcelVO areeExcelVO);

    List<BizRespExaminationTaskExcelVO> exportKhpfbExcel1(String bizRespResponsibilityId);
    List<BizRespExaminationTaskExcelVO> exportAreaExcel1(AreeExcelVO areeExcelVO);



}