package com.unis.accountability.businessmanagement.service;

import java.text.ParseException;
import java.util.List;

import javax.servlet.http.HttpServletResponse;

import com.unis.accountability.businessmanagement.common.vo.manageRuler.MangerRulesReceviceVO;
import com.unis.accountability.businessmanagement.common.vo.manageRuler.MangerRulesVO;
import com.unis.accountability.businessmanagement.common.vo.manageRuler.PageResult;

/**
 *  ty_wzcbglzd -- 粮食与物资储备管理制度接口层
 * @author liuweilong
 *
 */
public interface MangerRulesService {
	
	//新增
	public void insertEntity(MangerRulesVO vo);
	
	
	//编辑
	public int update(MangerRulesVO vo);
	
	//下发文件
	public void issue(MangerRulesReceviceVO vo);
	
	
	//删除
	public void deleteBYPrimaryKey(String zdbm);
	
	
	//下载
	public void downLoad(HttpServletResponse response, String realPath);
	
	//查看
	public MangerRulesVO getInfomationByPrimarykey(String zdbm);
	
	
	//列表查询
	public PageResult<MangerRulesVO> getList(int pageNum, int pageSize, String wjmc, String scrq, List<String> orgCode, String orgId)throws ParseException;
	
	//根据主表Id查询接收部门
	public String getJsbmByzdbm(String zdbm);
	
	
	
	
}
